diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -1399,136 +1339,406 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sidi Kacem
+    // Chtouka-Ait Baha
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;SidiKacem">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Chtouka-AitBaha">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sidi Kacem</rdfs:label>
-      <skos:definition>The province of Sidi Kacem in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Gharb-Chrarda-BeniHssen"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sidi Kacem</lcc-cr:hasLocalShortName>
+      <rdfs:label>Chtouka-Ait Baha</rdfs:label>
+      <skos:definition>The province of Chtouka-Ait Baha in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Chtouka-Ait Baha</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SIK">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-CHT">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sidi Kacem in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SIK</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SIK</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;SidiKacem"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;SidiKacem"/>
+      <skos:definition>subdivision code for the province of Chtouka-Ait Baha in the country of Morocco</skos:definition>
+      <rdfs:label>MA-CHT</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-CHT</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Chtouka-AitBaha"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Chtouka-AitBaha"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Meknès-Tafilalet
+    // El Jadida
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Meknes-Tafilalet">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;ElJadida">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Meknès-Tafilalet</rdfs:label>
-      <skos:definition>The region of Meknès-Tafilalet in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Meknès-Tafilalet</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>El Jadida</rdfs:label>
+      <skos:definition>The province of El Jadida in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">El Jadida</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-06">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-JDI">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Meknès-Tafilalet in the country of Morocco</skos:definition>
-      <rdfs:label>MA-06</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-06</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
+      <skos:definition>subdivision code for the province of El Jadida in the country of Morocco</skos:definition>
+      <rdfs:label>MA-JDI</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-JDI</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;ElJadida"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;ElJadida"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khenifra
+    // Benslimane
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Khenifra">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Benslimane">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khenifra</rdfs:label>
-      <skos:definition>The province of Khenifra in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Khenifra</lcc-cr:hasLocalShortName>
+      <rdfs:label>Benslimane</rdfs:label>
+      <skos:definition>The province of Benslimane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Benslimane</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KHN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BES">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Khenifra in the country of Morocco</skos:definition>
-      <rdfs:label>MA-KHN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KHN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Khenifra"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Khenifra"/>
+      <skos:definition>subdivision code for the province of Benslimane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-BES</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BES</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Benslimane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Benslimane"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ifrane
+    // Guelmim-Oued Noun (EH-partial)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Ifrane">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Guelmim-OuedNoun">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ifrane</rdfs:label>
-      <skos:definition>The province of Ifrane in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Ifrane</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Guelmim-Oued Noun (EH-partial)</rdfs:label>
+      <skos:definition>The region of Guelmim-Oued Noun (EH-partial) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Guelmim-Oued Noun (EH-partial)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-IFR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-10">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ifrane in the country of Morocco</skos:definition>
-      <rdfs:label>MA-IFR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-IFR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Ifrane"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Ifrane"/>
+      <skos:definition>subdivision code for the region of Guelmim-Oued Noun (EH-partial) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-10</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-10</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Guelmim-OuedNoun"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Guelmim-OuedNoun"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // El Hajeb
+    // Sidi Ifni
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;ElHajeb">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;SidiIfni">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>El Hajeb</rdfs:label>
-      <skos:definition>The province of El Hajeb in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">El Hajeb</lcc-cr:hasLocalShortName>
+      <rdfs:label>Sidi Ifni</rdfs:label>
+      <skos:definition>The province of Sidi Ifni in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-OuedNoun"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sidi Ifni</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SIF">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Sidi Ifni in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SIF</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SIF</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;SidiIfni"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;SidiIfni"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Tan-Tan (EH-partial)
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tan-Tan">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Tan-Tan (EH-partial)</rdfs:label>
+      <skos:definition>The province of Tan-Tan (EH-partial) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-OuedNoun"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tan-Tan (EH-partial)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TNT">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Tan-Tan (EH-partial) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TNT</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TNT</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tan-Tan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tan-Tan"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Guelmim
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Guelmim">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Guelmim</rdfs:label>
+      <skos:definition>The province of Guelmim in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-OuedNoun"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Guelmim</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-GUE">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Guelmim in the country of Morocco</skos:definition>
+      <rdfs:label>MA-GUE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-GUE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Guelmim"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Guelmim"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Assa-Zag (EH-partial)
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Assa-Zag">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Assa-Zag (EH-partial)</rdfs:label>
+      <skos:definition>The province of Assa-Zag (EH-partial) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-OuedNoun"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Assa-Zag (EH-partial)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ASZ">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Assa-Zag (EH-partial) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-ASZ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ASZ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Assa-Zag"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Assa-Zag"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Fès- Meknès
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Fes-Meknes">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Fès- Meknès</rdfs:label>
+      <skos:definition>The region of Fès- Meknès in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fès- Meknès</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-03">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the region of Fès- Meknès in the country of Morocco</skos:definition>
+      <rdfs:label>MA-03</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-03</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Ifrane
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Ifrane">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Ifrane</rdfs:label>
+      <skos:definition>The province of Ifrane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Ifrane</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-IFR">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Ifrane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-IFR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-IFR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Ifrane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Ifrane"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Sefrou
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Sefrou">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Sefrou</rdfs:label>
+      <skos:definition>The province of Sefrou in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sefrou</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SEF">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Sefrou in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SEF</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SEF</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Sefrou"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Sefrou"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Taza
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taza">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Taza</rdfs:label>
+      <skos:definition>The province of Taza in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taza</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAZ">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Taza in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TAZ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAZ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taza"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taza"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Boulemane
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Boulemane">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Boulemane</rdfs:label>
+      <skos:definition>The province of Boulemane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Boulemane</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BOM">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Boulemane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-BOM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BOM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Boulemane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Boulemane"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // El Hajeb
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;ElHajeb">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>El Hajeb</rdfs:label>
+      <skos:definition>The province of El Hajeb in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">El Hajeb</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1557,7 +1767,7 @@
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
       <rdfs:label>Meknès</rdfs:label>
       <skos:definition>The prefecture of Meknès in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
       <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Meknès</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
@@ -1579,27 +1789,87 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Errachidia
+    // Moulay Yacoub
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MoulayYacoub">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Moulay Yacoub</rdfs:label>
+      <skos:definition>The province of Moulay Yacoub in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Moulay Yacoub</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MOU">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Moulay Yacoub in the country of Morocco</skos:definition>
+      <rdfs:label>MA-MOU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MOU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;MoulayYacoub"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;MoulayYacoub"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Taounate
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taounate">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Taounate</rdfs:label>
+      <skos:definition>The province of Taounate in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taounate</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAO">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Taounate in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TAO</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAO</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taounate"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taounate"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Fès
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Errachidia">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Fes">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Errachidia</rdfs:label>
-      <skos:definition>The province of Errachidia in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Meknes-Tafilalet"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Errachidia</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Fès</rdfs:label>
+      <skos:definition>The prefecture of Fès in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Meknes"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fès</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ERR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FES">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Errachidia in the country of Morocco</skos:definition>
-      <rdfs:label>MA-ERR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ERR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Errachidia"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Errachidia"/>
+      <skos:definition>subdivision code for the prefecture of Fès in the country of Morocco</skos:definition>
+      <rdfs:label>MA-FES</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FES</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Fes"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Fes"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
